---
apiVersion: v1
kind: ConfigMap
metadata:
  name: "{{ .Release.Name }}-{{ .Chart.Name }}-environmentjs"
  labels:
    app.kubernetes.io/managed-by: {{ .Release.Service | quote }}
    app.kubernetes.io/instance: {{ .Chart.Name | quote }}
    app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
    helm.sh/chart: {{ .Release.Service | quote }}
data:
  environment.js: |-
    window['BACKEND_URL'] = '{{ tpl .Values.global.backend_url . }}';
    window['SEC_UI_CLIENT'] = '{{ .Values.global.security_ui_client }}';
    window['SEC_REALM'] = '{{ .Values.global.security_realm }}';
    window['SEC_URL'] = 'https://{{tpl .Values.global.pssecurity_url . }}/auth/';
    window['LOGO_PATH'] = '/app/resources/';
